Class InvokeInferenceRouterResponse

  • Method Details

    • body

      public final SdkBytes body()

      The inference that the model returned.

      Returns:
      The inference that the model returned.
    • contentType

      public final String contentType()

      The MIME type of the inference returned in the response body.

      Returns:
      The MIME type of the inference returned in the response body.
    • invokedRoutedResourceArn

      public final String invokedRoutedResourceArn()

      The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.

      Returns:
      The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.
    • routingReason

      public final String routingReason()

      The reason that the router chose the destination that served the request. Possible values:

      • local-preferred – The destination is a healthy destination in the router's Region.

      • capacity-available – No destination in the router's Region could take the request, and two or more destinations in other Regions could.

      • only-healthy – No destination in the router's Region could take the request, and exactly one destination in another Region could.

      • failover – The router moved the request away from destinations in its Region because they were overloaded or returning errors. You also see this value when the router can't assess destination health, and when no destination is healthy and the router tries one anyway.

      Returns:
      The reason that the router chose the destination that served the request. Possible values:

      • local-preferred – The destination is a healthy destination in the router's Region.

      • capacity-available – No destination in the router's Region could take the request, and two or more destinations in other Regions could.

      • only-healthy – No destination in the router's Region could take the request, and exactly one destination in another Region could.

      • failover – The router moved the request away from destinations in its Region because they were overloaded or returning errors. You also see this value when the router can't assess destination health, and when no destination is healthy and the router tries one anyway.

    • invokedProductionVariant

      public final String invokedProductionVariant()

      The production variant of the destination endpoint that served the request.

      Returns:
      The production variant of the destination endpoint that served the request.
    • customAttributes

      public final String customAttributes()

      Provides additional information in the response about the inference. This is the value that the model container of the destination returned, unchanged.

      Returns:
      Provides additional information in the response about the inference. This is the value that the model container of the destination returned, unchanged.
    • toBuilder

      Description copied from interface: ToCopyableBuilder
      Take this object and create a builder that contains all of the current property values of this object.
      Specified by:
      toBuilder in interface ToCopyableBuilder<InvokeInferenceRouterResponse.Builder,InvokeInferenceRouterResponse>
      Specified by:
      toBuilder in class AwsResponse
      Returns:
      a builder for type T
    • builder

      public static InvokeInferenceRouterResponse.Builder builder()
    • serializableBuilderClass

      public static Class<? extends InvokeInferenceRouterResponse.Builder> serializableBuilderClass()
    • hashCode

      public final int hashCode()
      Overrides:
      hashCode in class AwsResponse
    • equals

      public final boolean equals(Object obj)
      Overrides:
      equals in class AwsResponse
    • equalsBySdkFields

      public final boolean equalsBySdkFields(Object obj)
      Description copied from interface: SdkPojo
      Indicates whether some other object is "equal to" this one by SDK fields. An SDK field is a modeled, non-inherited field in an SdkPojo class, and is generated based on a service model.

      If an SdkPojo class does not have any inherited fields, equalsBySdkFields and equals are essentially the same.

      Specified by:
      equalsBySdkFields in interface SdkPojo
      Parameters:
      obj - the object to be compared with
      Returns:
      true if the other object equals to this object by sdk fields, false otherwise.
    • toString

      public final String toString()
      Returns a string representation of this object. This is useful for testing and debugging. Sensitive data will be redacted from this string using a placeholder value.
      Overrides:
      toString in class Object
    • getValueForField

      public final <T> Optional<T> getValueForField(String fieldName, Class<T> clazz)
      Description copied from class: SdkResponse
      Used to retrieve the value of a field from any class that extends SdkResponse. The field name specified should match the member name from the corresponding service-2.json model specified in the codegen-resources folder for a given service. The class specifies what class to cast the returned value to. If the returned value is also a modeled class, the SdkResponse.getValueForField(String, Class) method will again be available.
      Overrides:
      getValueForField in class SdkResponse
      Parameters:
      fieldName - The name of the member to be retrieved.
      clazz - The class to cast the returned object to.
      Returns:
      Optional containing the casted return value
    • sdkFields

      public final List<SdkField<?>> sdkFields()
      Specified by:
      sdkFields in interface SdkPojo
      Returns:
      List of SdkField in this POJO. May be empty list but should never be null.
    • sdkFieldNameToField

      public final Map<String,SdkField<?>> sdkFieldNameToField()
      Specified by:
      sdkFieldNameToField in interface SdkPojo
      Returns:
      The mapping between the field name and its corresponding field.